<?xml version="1.0" encoding="UTF-8"?>

<?import javafx.geometry.Insets?>
<?import javafx.scene.control.Button?>
<?import javafx.scene.control.Tab?>
<?import javafx.scene.control.TabPane?>
<?import javafx.scene.control.TableColumn?>
<?import javafx.scene.control.TableView?>
<?import javafx.scene.control.TextField?>
<?import javafx.scene.layout.AnchorPane?>
<?import javafx.scene.layout.HBox?>
<?import javafx.scene.layout.VBox?>

<AnchorPane xmlns="http://javafx.com/javafx/8.0.111" xmlns:fx="http://javafx.com/fxml/1" fx:controller="pr.address.view.adminController">
   <children>
      <TabPane prefHeight="629.0" prefWidth="800.0" AnchorPane.bottomAnchor="0.0" AnchorPane.leftAnchor="0.0" AnchorPane.rightAnchor="0.0" AnchorPane.topAnchor="0.0">
         <tabs>
            <Tab closable="false" text="Пользователи">
               <content>
                  <VBox prefHeight="600.0" prefWidth="800.0" spacing="5.0">
                     <children>
                        <TableView fx:id="usersTable" prefHeight="592.0" prefWidth="660.0">
                          <columns>
                            <TableColumn fx:id="userId" editable="false" prefWidth="75.0" text="ID" />
                            <TableColumn fx:id="userLogin" editable="false" prefWidth="75.0" text="Логин" />
                              <TableColumn fx:id="userEmail" editable="false" prefWidth="75.0" text="Почта" />
                              <TableColumn fx:id="userName" editable="false" prefWidth="75.0" text="Имя" />
                              <TableColumn fx:id="userSecondName" editable="false" prefWidth="75.0" text="Фамилия" />
                              <TableColumn fx:id="userNickname" editable="false" prefWidth="75.0" text="Псевдоним" />
                              <TableColumn fx:id="userBirthday" editable="false" prefWidth="75.0" text="Дата рождения" />
                              <TableColumn fx:id="userRole" editable="false" prefWidth="75.0" text="Роль" />
                              <TableColumn fx:id="userStatus" editable="false" prefWidth="75.0" text="Статус" />
                          </columns>
                           <columnResizePolicy>
                              <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                           </columnResizePolicy>
                        </TableView>
                        <TextField fx:id="usersSearch" promptText="Поиск..." />
                        <HBox alignment="CENTER" prefHeight="100.0" prefWidth="200.0" spacing="15.0">
                           <children>
                              <Button fx:id="userBlockBtn" mnemonicParsing="false" onAction="#userBlockBtn" text="Блокировать" />
                              <Button fx:id="userAnalBtn" mnemonicParsing="false" onAction="#userAnalBtn" text="Изменить роль" />
                           </children>
                        </HBox>
                     </children>
                     <padding>
                        <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                     </padding>
                  </VBox>
               </content>
            </Tab>
            <Tab closable="false" text="Контент">
              <content>
                  <VBox prefHeight="571.0" prefWidth="800.0" spacing="5.0">
                     <children>
                        <TableView fx:id="contentTable" prefHeight="656.0" prefWidth="800.0">
                          <columns>
                            <TableColumn fx:id="contentId" prefWidth="75.0" text="ID" />
                              <TableColumn fx:id="contentStatus" prefWidth="75.0" text="Статус" />
                            <TableColumn fx:id="contentName" prefWidth="75.0" text="Имя" />
                              <TableColumn fx:id="contentGenre" prefWidth="75.0" text="Раздел" />
                              <TableColumn fx:id="contentYear" prefWidth="75.0" text="Год" />
                              <TableColumn fx:id="contentPrice" prefWidth="75.0" text="Кассовые сборы" />
                              <TableColumn fx:id="contentDirector" prefWidth="75.0" text="Режисер" />
                              <TableColumn fx:id="contentCountry" prefWidth="75.0" text="Страна" />
                          </columns>
                           <columnResizePolicy>
                              <TableView fx:constant="CONSTRAINED_RESIZE_POLICY" />
                           </columnResizePolicy>
                        </TableView>
                        <TextField fx:id="contentSearch" promptText="Поиск..." />
                        <HBox alignment="CENTER" prefHeight="100.0" prefWidth="200.0" spacing="15.0">
                           <children>
                              <Button fx:id="contentAddBtn" mnemonicParsing="false" onAction="#contentAddBtn" text="Добавить " />
                              <Button fx:id="contentDeleteBtn" mnemonicParsing="false" onAction="#contentDeleteBtn" text="Удалить" />
                              <Button fx:id="contentChangeBtn" mnemonicParsing="false" onAction="#contentChangeBtn" text="Редактировать" />
                              <Button fx:id="contentBlockSectionBtn" mnemonicParsing="false" onAction="#contentBlockSectionBtn" text="Заблокировать раздел" />
                              <Button fx:id="contentUnblockSectionBtn" mnemonicParsing="false" onAction="#contentUnblockSectionBtn" text="Разблокировать раздел" />
                              <Button fx:id="contentBlockFilmBtn" mnemonicParsing="false" onAction="#contentBlockFilmBtn" text="Изменить статус" />
                           </children>
                        </HBox>
                     </children>
                     <padding>
                        <Insets bottom="5.0" left="5.0" right="5.0" top="5.0" />
                     </padding>
                  </VBox>
              </content>
            </Tab>
         </tabs>
      </TabPane>
   </children>
</AnchorPane>
